# XQScopedNamespace Class Reference

`#include <XQScopedNamespace.hpp>`

List of all members.

## Public Member Functions

| XQScopedNamespace (XPath2MemoryManager *memMgr, const xercesc::DOMXPathNSResolver *prevScope)
virtual | ~XQScopedNamespace ()
virtual const XMLCh * | lookupNamespaceURI (const XMLCh *prefix) const
virtual const XMLCh * | lookupPrefix (const XMLCh *uri) const
void | setNodeContext (const xercesc::DOMNode *node)

## Protected Attributes

const xercesc::DOMXPathNSResolver * | _prevScope
const xercesc::DOMNode * | _ctxNode

## Constructor & Destructor Documentation

XQScopedNamespace::XQScopedNamespace | ( | XPath2MemoryManager * | memMgr,
|  | const xercesc::DOMXPathNSResolver * | prevScope
| ) |

virtual XQScopedNamespace::~XQScopedNamespace | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XMLCh* XQScopedNamespace::lookupNamespaceURI | ( | const XMLCh * | prefix | ) | const`[virtual]`

virtual const XMLCh* XQScopedNamespace::lookupPrefix | ( | const XMLCh * | uri | ) | const`[virtual]`

void XQScopedNamespace::setNodeContext | ( | const xercesc::DOMNode * | node | ) |

## Member Data Documentation

const xercesc:: DOMNode* XQScopedNamespace::_ctxNode `[protected]`

const xercesc:: DOMXPathNSResolver* XQScopedNamespace::_prevScope `[protected]`

The documentation for this class was generated from the following file:

- XQScopedNamespace.hpp